# Standard Reporting

The **Standard Reporting API** provides access to various merchant-related data points, enabling users to retrieve detailed information about merchants, their transactions, financial activities, and support cases.

### **Available Endpoints**

* Get Merchant Profiles: `GET /data/api/v1.0/standard/merchants`
* Get Current Pricing Configuration: `GET /data/api/v1.0/standard/merchantCurrentPricing`
* Get List of Merchant Disputes: `GET /data/api/v1.0/standard/merchantDisputes`
* Get List of Cases: `GET /data/api/v1.0/standard/merchantCases`
* Get Bank Deposit Records: `GET /data/api/v1.0/standard/merchantBankDeposits`
* Get Transaction Records: `GET /data/api/v1.0/standard/merchantTransactions`&#x20;
* Get Merchant Closed Batches: `GET /data/api/v1.0/standard/merchantClosedBatches`&#x20;
* Get Merchant Card Transaction: `GET /data/api/v1.0/standard/merchantCardTransaction`&#x20;

{% hint style="warning" %}
**Notes:**

* All endpoints support common query parameters, including `sortBy`, `pageNumber`, and `pageSize`, which help with sorting and paginating results.
* For reports that support date-based query parameters, use the following limitations:
  * To retrieve report data at the partner or portfolio level (using **HNK**), limit the date range to a **single day**.
  * To retrieve report data at an individual merchant level (using **MID**), limit the date range to a **maximum of 31 days**.
* To improve performance and reduce the risk of timeouts when retrieving large datasets, we recommend that integrators include `pageNumber` and `pageSize` in their requests. The maximum number of results per page is 10,000.
  {% endhint %}
